path: /build/build/openexr-media-libs-3.2.2+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - sed -i -e 's|docs/SymbolVisibility.rst||g' /var/git/meta-repo/kits/media-kit/media-libs/openexr/openexr-3.2.2.ebuild
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} media-libs/openexr -pv -t && \
    emerge -j ${JOBS} --nodeps media-libs/openexr
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/openexr && luet-portage --dir /pkgdir/openexr
    media-libs/openexr && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:75c53826fa8640c48fc024928e60fb9f5bbd0123cbc502d5211cf6beac3cb911
  package:
    name: openexr
    version: 3.2.2+1
    category: media-libs
    requires:
    - name: djvu
      version: '>=0'
      category: app-text
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: ILM's OpenEXR high dynamic-range image file format libraries
    uri:
    - https://www.openexr.com/
    license: BSD
    buildtimestamp: 2024-03-09 08:13:35.299977506 +0000 UTC m=+157.955405080
    labels:
      BDEPEND: virtual/pkgconfig dev-util/ninja dev-util/cmake
      DEPEND: '>=dev-libs/imath-3.1.0:= sys-libs/zlib app-arch/libdeflate !!media-libs/openexr:2
        !!media-libs/ilmbase'
      IUSE: cpu_flags_x86_avx examples large-stack static-libs utils threads
      RDEPEND: '>=dev-libs/imath-3.1.0:= sys-libs/zlib app-arch/libdeflate !!media-libs/openexr:2
        !!media-libs/ilmbase'
      emerge.packages: media-libs/openexr
      kit: media-kit
      original.package.name: media-libs/openexr
      original.package.slot: "0"
      original.package.version: 3.2.2
    treedir: /build/packages
  package_dir: /pkgdir/openexr
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: a2f839bccd909f61bdb84d9912fa9321446bbe50033c4404f65463f9c6186c18
compressiontype: zstd
files:
- usr/include/OpenEXR/Iex.h
- usr/include/OpenEXR/IexBaseExc.h
- usr/include/OpenEXR/IexConfig.h
- usr/include/OpenEXR/IexErrnoExc.h
- usr/include/OpenEXR/IexExport.h
- usr/include/OpenEXR/IexForward.h
- usr/include/OpenEXR/IexMacros.h
- usr/include/OpenEXR/IexMathExc.h
- usr/include/OpenEXR/IexMathFloatExc.h
- usr/include/OpenEXR/IexMathIeeeExc.h
- usr/include/OpenEXR/IexNamespace.h
- usr/include/OpenEXR/IexThrowErrnoExc.h
- usr/include/OpenEXR/IlmThread.h
- usr/include/OpenEXR/IlmThreadConfig.h
- usr/include/OpenEXR/IlmThreadExport.h
- usr/include/OpenEXR/IlmThreadForward.h
- usr/include/OpenEXR/IlmThreadMutex.h
- usr/include/OpenEXR/IlmThreadNamespace.h
- usr/include/OpenEXR/IlmThreadPool.h
- usr/include/OpenEXR/IlmThreadSemaphore.h
- usr/include/OpenEXR/ImfAcesFile.h
- usr/include/OpenEXR/ImfArray.h
- usr/include/OpenEXR/ImfAttribute.h
- usr/include/OpenEXR/ImfBoxAttribute.h
- usr/include/OpenEXR/ImfCRgbaFile.h
- usr/include/OpenEXR/ImfChannelList.h
- usr/include/OpenEXR/ImfChannelListAttribute.h
- usr/include/OpenEXR/ImfCheckFile.h
- usr/include/OpenEXR/ImfChromaticities.h
- usr/include/OpenEXR/ImfChromaticitiesAttribute.h
- usr/include/OpenEXR/ImfCompositeDeepScanLine.h
- usr/include/OpenEXR/ImfCompression.h
- usr/include/OpenEXR/ImfCompressionAttribute.h
- usr/include/OpenEXR/ImfCompressor.h
- usr/include/OpenEXR/ImfConvert.h
- usr/include/OpenEXR/ImfDeepCompositing.h
- usr/include/OpenEXR/ImfDeepFrameBuffer.h
- usr/include/OpenEXR/ImfDeepImage.h
- usr/include/OpenEXR/ImfDeepImageChannel.h
- usr/include/OpenEXR/ImfDeepImageIO.h
- usr/include/OpenEXR/ImfDeepImageLevel.h
- usr/include/OpenEXR/ImfDeepImageState.h
- usr/include/OpenEXR/ImfDeepImageStateAttribute.h
- usr/include/OpenEXR/ImfDeepScanLineInputFile.h
- usr/include/OpenEXR/ImfDeepScanLineInputPart.h
- usr/include/OpenEXR/ImfDeepScanLineOutputFile.h
- usr/include/OpenEXR/ImfDeepScanLineOutputPart.h
- usr/include/OpenEXR/ImfDeepTiledInputFile.h
- usr/include/OpenEXR/ImfDeepTiledInputPart.h
- usr/include/OpenEXR/ImfDeepTiledOutputFile.h
- usr/include/OpenEXR/ImfDeepTiledOutputPart.h
- usr/include/OpenEXR/ImfDoubleAttribute.h
- usr/include/OpenEXR/ImfEnvmap.h
- usr/include/OpenEXR/ImfEnvmapAttribute.h
- usr/include/OpenEXR/ImfExport.h
- usr/include/OpenEXR/ImfFlatImage.h
- usr/include/OpenEXR/ImfFlatImageChannel.h
- usr/include/OpenEXR/ImfFlatImageIO.h
- usr/include/OpenEXR/ImfFlatImageLevel.h
- usr/include/OpenEXR/ImfFloatAttribute.h
- usr/include/OpenEXR/ImfFloatVectorAttribute.h
- usr/include/OpenEXR/ImfForward.h
- usr/include/OpenEXR/ImfFrameBuffer.h
- usr/include/OpenEXR/ImfFramesPerSecond.h
- usr/include/OpenEXR/ImfGenericInputFile.h
- usr/include/OpenEXR/ImfGenericOutputFile.h
- usr/include/OpenEXR/ImfHeader.h
- usr/include/OpenEXR/ImfHuf.h
- usr/include/OpenEXR/ImfIDManifest.h
- usr/include/OpenEXR/ImfIDManifestAttribute.h
- usr/include/OpenEXR/ImfIO.h
- usr/include/OpenEXR/ImfImage.h
- usr/include/OpenEXR/ImfImageChannel.h
- usr/include/OpenEXR/ImfImageChannelRenaming.h
- usr/include/OpenEXR/ImfImageDataWindow.h
- usr/include/OpenEXR/ImfImageIO.h
- usr/include/OpenEXR/ImfImageLevel.h
- usr/include/OpenEXR/ImfInputFile.h
- usr/include/OpenEXR/ImfInputPart.h
- usr/include/OpenEXR/ImfInt64.h
- usr/include/OpenEXR/ImfIntAttribute.h
- usr/include/OpenEXR/ImfKeyCode.h
- usr/include/OpenEXR/ImfKeyCodeAttribute.h
- usr/include/OpenEXR/ImfLineOrder.h
- usr/include/OpenEXR/ImfLineOrderAttribute.h
- usr/include/OpenEXR/ImfLut.h
- usr/include/OpenEXR/ImfMatrixAttribute.h
- usr/include/OpenEXR/ImfMisc.h
- usr/include/OpenEXR/ImfMultiPartInputFile.h
- usr/include/OpenEXR/ImfMultiPartOutputFile.h
- usr/include/OpenEXR/ImfMultiView.h
- usr/include/OpenEXR/ImfName.h
- usr/include/OpenEXR/ImfNamespace.h
- usr/include/OpenEXR/ImfOpaqueAttribute.h
- usr/include/OpenEXR/ImfOutputFile.h
- usr/include/OpenEXR/ImfOutputPart.h
- usr/include/OpenEXR/ImfPartHelper.h
- usr/include/OpenEXR/ImfPartType.h
- usr/include/OpenEXR/ImfPixelType.h
- usr/include/OpenEXR/ImfPreviewImage.h
- usr/include/OpenEXR/ImfPreviewImageAttribute.h
- usr/include/OpenEXR/ImfRational.h
- usr/include/OpenEXR/ImfRationalAttribute.h
- usr/include/OpenEXR/ImfRgba.h
- usr/include/OpenEXR/ImfRgbaFile.h
- usr/include/OpenEXR/ImfRgbaYca.h
- usr/include/OpenEXR/ImfSampleCountChannel.h
- usr/include/OpenEXR/ImfStandardAttributes.h
- usr/include/OpenEXR/ImfStdIO.h
- usr/include/OpenEXR/ImfStringAttribute.h
- usr/include/OpenEXR/ImfStringVectorAttribute.h
- usr/include/OpenEXR/ImfTestFile.h
- usr/include/OpenEXR/ImfThreading.h
- usr/include/OpenEXR/ImfTileDescription.h
- usr/include/OpenEXR/ImfTileDescriptionAttribute.h
- usr/include/OpenEXR/ImfTiledInputFile.h
- usr/include/OpenEXR/ImfTiledInputPart.h
- usr/include/OpenEXR/ImfTiledOutputFile.h
- usr/include/OpenEXR/ImfTiledOutputPart.h
- usr/include/OpenEXR/ImfTiledRgbaFile.h
- usr/include/OpenEXR/ImfTimeCode.h
- usr/include/OpenEXR/ImfTimeCodeAttribute.h
- usr/include/OpenEXR/ImfUtilExport.h
- usr/include/OpenEXR/ImfVecAttribute.h
- usr/include/OpenEXR/ImfVersion.h
- usr/include/OpenEXR/ImfWav.h
- usr/include/OpenEXR/ImfXdr.h
- usr/include/OpenEXR/OpenEXRConfig.h
- usr/include/OpenEXR/openexr.h
- usr/include/OpenEXR/openexr_attr.h
- usr/include/OpenEXR/openexr_base.h
- usr/include/OpenEXR/openexr_chunkio.h
- usr/include/OpenEXR/openexr_coding.h
- usr/include/OpenEXR/openexr_compression.h
- usr/include/OpenEXR/openexr_config.h
- usr/include/OpenEXR/openexr_context.h
- usr/include/OpenEXR/openexr_debug.h
- usr/include/OpenEXR/openexr_decode.h
- usr/include/OpenEXR/openexr_encode.h
- usr/include/OpenEXR/openexr_errors.h
- usr/include/OpenEXR/openexr_part.h
- usr/include/OpenEXR/openexr_std_attr.h
- usr/include/OpenEXR/openexr_version.h
- usr/lib64/cmake/OpenEXR/OpenEXRConfig.cmake
- usr/lib64/cmake/OpenEXR/OpenEXRConfigVersion.cmake
- usr/lib64/cmake/OpenEXR/OpenEXRTargets-gentoo.cmake
- usr/lib64/cmake/OpenEXR/OpenEXRTargets.cmake
- usr/lib64/libIex-3_2.so
- usr/lib64/libIex-3_2.so.31
- usr/lib64/libIex-3_2.so.31.3.2.2
- usr/lib64/libIex.so
- usr/lib64/libIlmThread-3_2.so
- usr/lib64/libIlmThread-3_2.so.31
- usr/lib64/libIlmThread-3_2.so.31.3.2.2
- usr/lib64/libIlmThread.so
- usr/lib64/libOpenEXR-3_2.so
- usr/lib64/libOpenEXR-3_2.so.31
- usr/lib64/libOpenEXR-3_2.so.31.3.2.2
- usr/lib64/libOpenEXR.so
- usr/lib64/libOpenEXRCore-3_2.so
- usr/lib64/libOpenEXRCore-3_2.so.31
- usr/lib64/libOpenEXRCore-3_2.so.31.3.2.2
- usr/lib64/libOpenEXRCore.so
- usr/lib64/libOpenEXRUtil-3_2.so
- usr/lib64/libOpenEXRUtil-3_2.so.31
- usr/lib64/libOpenEXRUtil-3_2.so.31.3.2.2
- usr/lib64/libOpenEXRUtil.so
- usr/lib64/pkgconfig/OpenEXR.pc
- usr/share/doc/openexr-3.2.2/CHANGES.md.bz2
- usr/share/doc/openexr-3.2.2/GOVERNANCE.md.bz2
- usr/share/doc/openexr-3.2.2/PATENTS.bz2
- usr/share/doc/openexr-3.2.2/README.md.bz2
- usr/share/doc/openexr-3.2.2/SECURITY.md.bz2
- usr/share/doc/openexr-3.2.2/SymbolVisibility.rst.bz2
- var/db/pkg/media-libs/openexr-3.2.2/BDEPEND
- var/db/pkg/media-libs/openexr-3.2.2/BUILD_TIME
- var/db/pkg/media-libs/openexr-3.2.2/CATEGORY
- var/db/pkg/media-libs/openexr-3.2.2/CBUILD
- var/db/pkg/media-libs/openexr-3.2.2/CFLAGS
- var/db/pkg/media-libs/openexr-3.2.2/CHOST
- var/db/pkg/media-libs/openexr-3.2.2/CONTENTS
- var/db/pkg/media-libs/openexr-3.2.2/COUNTER
- var/db/pkg/media-libs/openexr-3.2.2/CXXFLAGS
- var/db/pkg/media-libs/openexr-3.2.2/DEFINED_PHASES
- var/db/pkg/media-libs/openexr-3.2.2/DEPEND
- var/db/pkg/media-libs/openexr-3.2.2/DESCRIPTION
- var/db/pkg/media-libs/openexr-3.2.2/EAPI
- var/db/pkg/media-libs/openexr-3.2.2/FEATURES
- var/db/pkg/media-libs/openexr-3.2.2/HOMEPAGE
- var/db/pkg/media-libs/openexr-3.2.2/INHERITED
- var/db/pkg/media-libs/openexr-3.2.2/IUSE
- var/db/pkg/media-libs/openexr-3.2.2/IUSE_EFFECTIVE
- var/db/pkg/media-libs/openexr-3.2.2/KEYWORDS
- var/db/pkg/media-libs/openexr-3.2.2/LDFLAGS
- var/db/pkg/media-libs/openexr-3.2.2/LICENSE
- var/db/pkg/media-libs/openexr-3.2.2/NEEDED
- var/db/pkg/media-libs/openexr-3.2.2/PF
- var/db/pkg/media-libs/openexr-3.2.2/PROVIDES
- var/db/pkg/media-libs/openexr-3.2.2/RDEPEND
- var/db/pkg/media-libs/openexr-3.2.2/REQUIRES
- var/db/pkg/media-libs/openexr-3.2.2/RESTRICT
- var/db/pkg/media-libs/openexr-3.2.2/SIZE
- var/db/pkg/media-libs/openexr-3.2.2/SLOT
- var/db/pkg/media-libs/openexr-3.2.2/USE
- var/db/pkg/media-libs/openexr-3.2.2/environment.bz2
- var/db/pkg/media-libs/openexr-3.2.2/openexr-3.2.2.ebuild
- var/db/pkg/media-libs/openexr-3.2.2/repository
package_cacheimage: ""
runtime:
  name: openexr
  version: 3.2.2+1
  category: media-libs
  requires:
  - name: imath
    version: '>=0'
    category: dev-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: ILM's OpenEXR high dynamic-range image file format libraries
  uri:
  - https://www.openexr.com/
  license: BSD
  labels:
    BDEPEND: virtual/pkgconfig dev-util/ninja dev-util/cmake
    DEPEND: '>=dev-libs/imath-3.1.0:= sys-libs/zlib app-arch/libdeflate !!media-libs/openexr:2
      !!media-libs/ilmbase'
    IUSE: cpu_flags_x86_avx examples large-stack static-libs utils threads
    RDEPEND: '>=dev-libs/imath-3.1.0:= sys-libs/zlib app-arch/libdeflate !!media-libs/openexr:2
      !!media-libs/ilmbase'
    emerge.packages: media-libs/openexr
    kit: media-kit
    original.package.name: media-libs/openexr
    original.package.slot: "0"
    original.package.version: 3.2.2
